function plotISIHist(isis, binwidth)
% Plot and annotate histogram of interspike intervals.
%
% plotISIHist(isis, binwidth)
%
% Arguments:
%   isis: vector of interspike intervals in seconds
%   binwidth: optional width in seconds to be used for the isi bins

    % compute normalized histogram:
    if nargin < 2
        [pdf, centers] = isiHist(isis);
    else
        [pdf, centers] = isiHist(isis, binwidth);
    end

    % plot:
    bar(1000.0*centers, pdf);     % milliseconds on x-axis
    xlabel('ISI [ms]')
    ylabel('p(ISI) [1/s]')
    % annotation:
    misi = mean(isis);
    sdisi = std(isis);
    disi = sdisi^2.0/2.0/misi^3;
    text(0.95, 0.8, sprintf('mean=%.1f ms', 1000.0*misi), ...
         'Units', 'normalized', 'HorizontalAlignment', 'right')
    text(0.95, 0.7, sprintf('std=%.1f ms', 1000.0*sdisi), ...
         'Units', 'normalized', 'HorizontalAlignment', 'right')
    text(0.95, 0.6, sprintf('CV=%.2f', sdisi/misi), ...
         'Units', 'normalized', 'HorizontalAlignment', 'right')
    %text(0.95, 0.5, sprintf('D=%.1f Hz', disi), ...
    %    'Units', 'normalized', 'HorizontalAlignment', 'right')
end

